net.dontdrinkandroot.wicket.bootstrap.css

## Enum GlyphIconClass

- java.lang.Object
- - java.lang.Enum<GlyphIconClass>
  - - net.dontdrinkandroot.wicket.bootstrap.css.GlyphIconClass

All Implemented Interfaces:
  Serializable, Comparable<GlyphIconClass>, net.dontdrinkandroot.wicket.css.CssClass

    public enum GlyphIconClass
    extends Enum<GlyphIconClass>
    implements net.dontdrinkandroot.wicket.css.CssClass

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASTERISK`
`CLOUD`
`ENVELOPE`
`EURO`
`GLASS`
`MINUS`
`PENCIL`
`PLUS`
`USER`

### Method Summary

Methods
`String` `getClassString()`
`static GlyphIconClass` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GlyphIconClass[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ASTERISK

    public static final GlyphIconClass ASTERISK

#### PLUS

    public static final GlyphIconClass PLUS

#### EURO

    public static final GlyphIconClass EURO

#### MINUS

    public static final GlyphIconClass MINUS

#### CLOUD

    public static final GlyphIconClass CLOUD

#### ENVELOPE

    public static final GlyphIconClass ENVELOPE

#### PENCIL

    public static final GlyphIconClass PENCIL

#### GLASS

    public static final GlyphIconClass GLASS

#### USER

    public static final GlyphIconClass USER

### Method Detail

#### values

    public static GlyphIconClass[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GlyphIconClass c : GlyphIconClass.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GlyphIconClass valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getClassString

    public String getClassString()

Specified by:
  `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`